Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
GETProject OperationsSince 2.4.0SynchronousAuth Required

GetIAM2VirtualIDAPIPermission

GetIAM2VirtualIDAPIPermission

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • apisToCheckList

    Optional.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • noPermissionbooleanRequired

    No description provided.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • permissionsMapRequired

    See permissions.

    • allowbooleanRequired

      Whether you have the permission.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/iam2/virtual-ids/api-permissions

/zstack/v1/iam2/virtual-ids/api-permissions

Operation ID

GetIAM2VirtualIDAPIPermission

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/iam2/virtual-ids/api-permissions?apisToCheck=<apisToCheck>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "permissions": { "org.zstack.header.vm.APICreateVmInstanceMsg": { "allow": true } }, "noPermission": false }

Change History

This API has no change history records yet.

View all change history